# __gnu_parallel::multiway_merge_k_variant_sentinel_switch< false, stable, RandomAccessIteratorIterator, RandomAccessIterator3, _DifferenceTp, Comparator > Struct Template Reference

Switch for k-way merging with sentinels turned off. More...

List of all members.

## Public Member Functions

- RandomAccessIterator3 operator() (RandomAccessIteratorIterator seqs_begin, RandomAccessIteratorIterator seqs_end, RandomAccessIterator3 target, const typename std::iterator_traits< typename std::iterator_traits< RandomAccessIteratorIterator >::value_type::first_type >::value_type &sentinel, _DifferenceTp length, Comparator comp)

## Detailed Description

### template<bool stable, typename RandomAccessIteratorIterator, typename RandomAccessIterator3, typename _DifferenceTp, typename Comparator>
struct __gnu_parallel::multiway_merge_k_variant_sentinel_switch< false, stable, RandomAccessIteratorIterator, RandomAccessIterator3, _DifferenceTp, Comparator >

Switch for k-way merging with sentinels turned off.

Definition at line 930 of file multiway_merge.h.

The documentation for this struct was generated from the following file:

- multiway_merge.h